QtiPlot

Science

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

9
Score 66.7%
Description:

Data analysis and scientific plotting.
Last changelog:

14 years ago

2011/11/02 - QtiPlot 0.9.8.9 released:

Improvements:
*Improved support for the Dock menu on Mac OS X.
*Improved restoring of statistic tables.
*Improved handling of error messages in Savitzky-Golay smoothing filter.
*Improved plotting of 2D plot layers with shared axes.
*Improved error bar handling when plotting a table column selection.
*Implemented feature request #5451: "Do not expand tree in Project Explorer".
*Implemented feature request #5458: "Fit wizard remove only fits from session".
*Updated translations: Italian (thanks to Renato Rivoira), German (thanks to Daniel Schury) and Romanian.
*Updated Italian manual thanks to Renato Rivoira.
Bug fixes:
*Fixed crash when opening old projects containing spectrograms.
*Fixed duplication of 2D plots with respect to the synchronization of scales.
*Fixed speed issues in matrices and removed size limitations in matrix size dialog.
*Fixed export of minus sign to LaTeX.
*Fixed possible crash when resetting the default options via the preferences dialog.

c2tarun

8 years ago

I tried to pack the source code and I got the error that qtiplot-0.9.8.5/manual/manual.pro file is missing. Can you please take a look.

Report

negas

8 years ago

Can i manipulate it from a python script? like sending data and modeling the plot whitout using qtiplot -x something.py?

Report

EagleOrion

8 years ago

If you download the linux binary, this program works okay. However, if you wish to compile this program on your machine, be prepared for a wild ride. I have compiled numerous programs, but I have been unable to compile this one. I have all of the recommended software and the latest source continued to prompt me for emf.h and wine header files. Finally I copied all of the wine header files into the EmfEngine src directory, only to have the compiler fail during the 2D graph, but without any error message. I do not believe that the author has a full list of the compilation dependencies.

Report

aymenbh

10 years ago

Hi,

I am trying to install the last version of qtiplot 0.9.7.7 . I downloaded all the necessary libraries from the official site. I succeed to make Qtiplot search for the files in the right location but still have an error message when trying to compile it.

In file included from src/table/Table.h:41,
from src/plot3D/Graph3D.h:40,
from src/plot3D/Graph3D.cpp:29:
src/scripting/Script.h:67: attention : qualificateurs de type ignorés pour le type à retourner par la fonction
src/plot3D/Graph3D.cpp: In member function ‘void Graph3D::setNumbersFont(const QFont&)’:
src/plot3D/Graph3D.cpp:780: erreur: ‘class Qwt3D::ColorLegend’ has no member named ‘axis’
src/plot3D/Graph3D.cpp: In member function ‘void Graph3D::setNumbersColor(const QColor&)’:
src/plot3D/Graph3D.cpp:1647: erreur: ‘class Qwt3D::ColorLegend’ has no member named ‘axis’
src/plot3D/Graph3D.cpp: In member function ‘void Graph3D::scaleFonts(double)’:
src/plot3D/Graph3D.cpp:1685: erreur: ‘class Qwt3D::ColorLegend’ has no member named ‘axis’

But I don't understand where is the problem. I checked the file qwt_color_legend.cpp and in the class ColorLegend there is a variable called axis!

ColorLegend::ColorLegend()
{
axis_.setNumbers(true);
axis_.setScaling(true);
axis_.setNumberColor(RGBA(0,0,0,1));
axis_.setNumberAnchor(CenterRight);
axis_.setNumberFont(QFont("Courier",8));

caption_.setFont("Courier", 10, QFont::Bold);
caption_.setColor(RGBA(0,0,0,1));
axisposition_ = ColorLegend::Left;
orientation_ = ColorLegend::BottomTop;
showaxis_ = true;
setRelPosition(Tuple(0.94, 1-0.36),Tuple(0.97, 1-0.04));
}

Help?

Report

strangeyoung

10 years ago

Hi Ion,
I have successfully compiled and installed the qtiplot9.7.7.
It works well but the "undo" function seems not working. Is there something wrong with my compiling?

Report

sukadro

10 years ago

Now all right!

Report

sukadro

10 years ago

I can't download (Source).
prdownload.berlios.de not accessible.

Report

kangcy

10 years ago

Hi

I got the following error compiling qtiplot. Anyone can explain how I can fix this?

ld: symbol(s) not found
collect2: ld returned 1 exit status
make: *** [qtiplot.app/Contents/MacOS/qtiplot] Error 1


Thanks in advance..

Report

kangcy

10 years ago

Hi

I got the following error during qtiplot compiling. Can anyone help me out?

../3rdparty/liborigin/OriginObj.h:37:29: error: boost/variant.hpp: No such file or directory
../3rdparty/liborigin/OriginObj.h:38:48: error: boost/date_time/posix_time/ptime.hpp: No such file or directory

where I can get this missing file?

thanks in advance..

Report

dovidhalevi

11 years ago

They are both corrupted.

Report

C

vasilief

11 years ago

What do you mean by corrupted?

I can build QtiPlot 0.9.5 without problems using the source archives.

Report

dovidhalevi

11 years ago

Tar or unzip produce errors, tar yields incomplete sources.

I downloaded twice from Berlios. Could retry.

Report

C

vasilief

11 years ago

There's something completely wrong on your system!

Report

dovidhalevi

11 years ago

OK. Got good archives.

As in past versions, I never succeded in compiling the "3rdParty" stuff. Some suggestions:

1. A configure script that can set paths of existing installed packages suchs as gsl.

2. More sophisticated: Kde had that konstruct package that downloaded as well as built compnonents. Such would get qwtplot, etc. and build them first in the folders you want.

3. I could install a .deb but have no need for a service contract. Using "checkinstall", any one who succedes in compiling everything could create a .deb (even though these usually are not canonical Debian ruled installations) so why not simply give us a good .deb (with no customer support--want that, pay for it!).

Report

C

vasilief

11 years ago

You can download the compiled binaries for Linux for free, you don't need a .deb to use QtiPlot. If you want the .deb package that I maintain, you need to subscript for a maintenance contract.

Report

ViRgiLiO

11 years ago

Is it possible to remove the scrollbars when the window reaches the edges of the working area? It's very disturbing.

Report

saqer

11 years ago

Hi, long to since me testing this software.
I am using Fedora 8 and I get this error when compiling:
jade:/home/saqer/sources/qtiplot-0.9.3-rc3/manual/docbook-en/index.docbook:787:0:E: cannot open "/usr/share/xml/docbook/schema/dtd/4.4/docbookx.dtd" (No such file or directory)
jade:/usr/share/sgml/docbook/dsssl-stylesheets-1.79/html/../common/dbtable.dsl:224:13:E: 2nd argument for primitive "ancestor" of wrong type: "#<unknown object 152959960>" not a singleton node list
snip
make[1]: *** [html-pdf] Error 8
make[1]: Leaving directory `/home/saqer/sources/qtiplot-0.9.3-rc3/manual'
make: *** [sub-manual] Error 2
I located my docbookx.dtd and edited manual/docbook-en/index.docbook appropriately but got this new error:
jade:/usr/share/sgml/docbook/xml-dtd-4.4-1.0-32.fc8/ent/isogrk4.ent:42:30:E: "1D6C2" is not a character number in the document character set
snip
make[1]: *** [html-pdf] Error 8
make[1]: Leaving directory `/home/saqer/sources/qtiplot-0.9.3-rc3/manual'
make: *** [sub-manual] Error 2

How to fix this?

Report

marcorossini

11 years ago

I get the same on my Fedora 8...:(

Report

mathpr

11 years ago

this is not an open source project. you have to pay for it. so plz remove it.

Report

makc

11 years ago

You can download sources from http://soft.proindependent.com/download.html
Compile by yourself and have a fun.

Report

sarewicz

11 years ago

Hello

I really appreciate the work that led to such a great program. I think that Qtiplot is the only candidate to be a serious plotting program for linux. However, a found some problems.

1) Recently, I compiled 0.9 ver and found the bug regarding the subscripts. After putting subscripts into plot legend or text within plot area, it is displayed in new line as a normal text.

2) Exported plots to EPS format posses completely rescaled fonts and all proportions are not conserved. This makes such plots useless.

I also have a suggestion to implement something like a New Page to qtiplot. Such page should have a ruler in metric scale that would makes arrangement of the plot much easier (as in RLPlot program, for example). Now, I am trying to prepare figures for a scientific publication and so much pain must be taken to make all plots the same size and look.

Is it possible to obtain description of the qti file format? I would like to add an option to export data in my program (www.eleana.xt.pl) that could be immediately loaded into qtiplot.

Anyway, the program is really great!!! Congratulation.

Report

C

vasilief

11 years ago

Hello,

And thanks for the nice words about QtiPlot. Concerning the 'BUT' part:

1) You must use the last Qwt 5.0.2 version as indicated on the QtiPlot webpage. With this version I can't reproduce the bug!

2) Open the export dialog, click the "Advanced" button and check the option:
"Keep aspect ratio"

Concerning your suggestion: this could be helpful indeed. Please add a feature request on the berliOS tracker at:

https://developer.berlios.de/feature/?group_id=6626

so that I don't forget about it!

There's no official description of the .qti file format. Just look at the sources! Anyways the file format will probably changed to a full XML format in the future...

Exporting your data as columns of ASCII, separated by commas, tab or whatever, would be OK!

Hope this helps and best regards,
Ion

Report

ViRgiLiO

11 years ago

Congratulations for this new release. Qt4 port must be a huge effort, but Qtiplot looks now amazing. Now I can use my Origin files in linux. Thanks again.

Report

C

vasilief

11 years ago

Hello,

Thanks for your nice words! Yes, it's true, in order to release the 0.9 version, I had to work very hard, during many hours!
Regarding the import of Origin projects, it's essentially Alex Kargovsky's work! I only helped a little bit on this...

Best regards,
Ion

Report

anonymous-hive

12 years ago

Hi I use a col text for to index a reference. This col is none type and it has text display properties. Well I write the reference with numbers within brakets (for example [1]). Well I write 5 references without problems but when I write the sixth reference ([6]) qtiplot show a error msn. "Qtiplot- Script Error", Undefined token "[6] " found at position 0. at :0 "
What happend?
Thanks for all
Note: Zorry for to posting rather msgs but I use a lot qtiplot, I need it and I like it.

Report

14 years ago

2011/11/02 - QtiPlot 0.9.8.9 released:

Improvements:
*Improved support for the Dock menu on Mac OS X.
*Improved restoring of statistic tables.
*Improved handling of error messages in Savitzky-Golay smoothing filter.
*Improved plotting of 2D plot layers with shared axes.
*Improved error bar handling when plotting a table column selection.
*Implemented feature request #5451: "Do not expand tree in Project Explorer".
*Implemented feature request #5458: "Fit wizard remove only fits from session".
*Updated translations: Italian (thanks to Renato Rivoira), German (thanks to Daniel Schury) and Romanian.
*Updated Italian manual thanks to Renato Rivoira.
Bug fixes:
*Fixed crash when opening old projects containing spectrograms.
*Fixed duplication of 2D plots with respect to the synchronization of scales.
*Fixed speed issues in matrices and removed size limitations in matrix size dialog.
*Fixed export of minus sign to LaTeX.
*Fixed possible crash when resetting the default options via the preferences dialog.

12345678910
26
product-maker reiniger Jul 22 2012 3 bad
product-maker flyingstranger Sep 25 2011 9 excellent
product-maker pejakm May 11 2011 9 excellent
product-maker udatt Mar 18 2011 9 excellent
product-maker MichauSm Feb 21 2011 9 excellent
product-maker denisq Oct 21 2010 3 bad
product-maker jillsmitt Oct 20 2010 9 excellent
product-maker bugmenot1234 Oct 13 2010 9 excellent
product-maker Count: 4 Rating: 5.0
File (click to download) Version Description PackagetypeArchitectureRelease Channel Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
0.9.8.9
updated Nov 07 2011
added Jul 30 2004
downloads today
0
page views today 14
System Tags app software